package com.czg.market.service;

import com.czg.BaseQueryParam;
import com.czg.market.dto.MkProductSmartSuggestDTO;
import com.czg.market.entity.MkProductSmartSuggest;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 点单智能推荐 服务层。
 *
 * @author ww
 * @since 2025-10-21
 */
public interface MkProductSmartSuggestService extends IService<MkProductSmartSuggest> {
    Page<MkProductSmartSuggestDTO> getProductSmartSuggestPage(BaseQueryParam param, Long shopId);

    Map<String,Object> getProductSmartSuggestByShopId(Long shopId);

    void addProductSmartSuggest(MkProductSmartSuggestDTO param);

    void updateProductSmartSuggestById(MkProductSmartSuggestDTO param);

    void deleteProductSmartSuggest(Long id);
}
